/*
 * V8_12_To_V8_3.java
 *
 * Created on December 19, 2007, 3:12 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;
import com.evolute.utils.sql.Assignment;
import com.evolute.utils.sql.Field;

/**
 * 
 * @author tsimao
 * 
 */
public class V8_3_To_V8_4 implements siprp.update.Update
{
	public V8_3_To_V8_4()
	{
	}

	public String[] listChanges()
	{
		return new String[] {
			"Adicionado analisador [prestador] por TrabalhadorEcd"
		};
	}

	public double getStartVersion()
	{
		return 8.3;
	}

	public double getEndVersion()
	{
		return 8.4;
	}

	public void doUpdate() throws Exception
	{
		DBManager dbm = (DBManager) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = new com.evolute.utils.sql.Update( "ALTER TABLE trabalhadores_ecd ADD COLUMN analisador_id int4;" + "ALTER TABLE trabalhadores_ecd ADD CONSTRAINT analisador_id_fkey FOREIGN KEY(analisador_id) REFERENCES prestadores(id);" );
		executer.executeQuery( update );
	}

	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
